src/django_project/my_django_project/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('users.urls')),
]

src/django_project/users/urls.py
from django.urls import path, include
from django.contrib import admin
# import the built in django authentication views and rename it to auth_views
# renaming an import enables us to import views from other sources with the same name avoiding confusion and collision
# e.g. from django.contrib.auth import views as auth_views
# e.g. from users import views as users_views

# you can create your own log in and log out view methods, but using the builtin django views makes the work easier
from django.contrib.auth import views as auth_views

# import the user views
from users.views import Event, index, signup, send_email, CalendarView, event
from . import views

urlpatterns = [
    # the name param in the path method is the name passed to the url tag inside the HTML template pages
    # e.g <a href=" {% url 'signup' %} "> This is an example of a link</a>
    # the url tag above will then resolve the name param to the appropriate http url
    # e.g http://127.0.0.1/signup   
    path('', index, name='index'),
    path('signup/', signup, name='signup'), 
    path('send_email/', send_email, name='send_email'), 
    path('calendar/', CalendarView.as_view(), name='calendar'),
    path('event/new/', views.Event, name='new_event'),
    path('event/edit/(?P<event_id>\d+)/', views.Event, name='event_edit'),
    path('inbox/', auth_views.LoginView.as_view(template_name="users/inbox.html"), name='inbox'),
    path('favorite/', auth_views.LoginView.as_view(template_name="users/favorite.html"), name='favorite'),
    path('sent/', auth_views.LoginView.as_view(template_name="users/sent.html"), name='sent'),
    path('drafts/', auth_views.LoginView.as_view(template_name="users/drafts.html"), name='drafts'),
    path('blacklist/', auth_views.LoginView.as_view(template_name="users/blacklist.html"), name='blacklist'),

    # this url will use the builtin django log in view, but we have to pass a template
    # that the view will use to pass its authentication/log in form to for users to enter log in credentials
    path('login/', auth_views.LoginView.as_view(template_name="users/login.html"), name='login'),

    # we will utilise the builtin django views on the urls below
    path('logout/', auth_views.LogoutView.as_view(template_name="users/logout.html"), name='logout'),
    # a path to a page where you enter your email to request for a password reset
    path('passwod-reset/', auth_views.PasswordResetView.
         as_view(template_name="users/password_reset.html"),
         name='password_reset'),
    # the link to the page where you will reset your password, this link will be emailed to you
    # using the email settings provided in the projects settings.py file
    path('passwod-reset-confirm/<uidb64>/<token>', auth_views.PasswordResetConfirmView.
         as_view(template_name="users/password_reset_confirm.html"),
         name='password_reset_confirm'),
    # a page to inform the user that an email with the link above has xbeen successfully sent
    path('passwod-reset/done/', auth_views.PasswordResetDoneView.
         as_view(template_name="users/password_reset_done.html"),
         name='password_reset_done'),
    # the page a user will be redirected to once they reset their email from the emailed link above
    path('passwod-reset-complete', auth_views.PasswordResetCompleteView.
         as_view(template_name="users/password_reset_complete.html"),
         name='password_reset_complete'),
]

src/django_project/users/models.py
from django.db import models
from django.urls import reverse
from django.contrib.auth.models import AbstractBaseUser, BaseUserManager
from django.db import models
#from disposable_email_checker.fields import DisposableEmailField
# Create your models here.

class event(models.Model):
    title = models.CharField(max_length=200)
    description = models.TextField()
    start_time = models.DateTimeField()
    end_time = models.DateTimeField()

    @property
    def get_html_url(self):
        url = reverse('event_edit', args=(self.id,))
        return f'<a href="{url}"> {self.title} </a>'


class MyAccountManager(BaseUserManager):
    def create_user(self, email, username, email_password=None, password=None):
        if not email:
            raise ValueError('Users must have an email address')
        if not username:
            raise ValueError('Users must have a username')
            
        user = self.model(
			email=self.normalize_email(email),
			username=username,
            email_password=email_password,
		)

        user.set_password(password)
        user.save(using=self._db)
        return user
        
    def create_superuser(self, email, username, email_password, password):
        user = self.create_user(
            email=self.normalize_email(email),
			password=password,
			username=username,
            email_password=email_password,
		)
        user.is_admin = True
        user.is_staff = True
        user.save(using=self._db)
        return user


class User(AbstractBaseUser):
    email 					= models.EmailField(verbose_name="email", max_length=60, unique=True)
    username 				= models.CharField(max_length=30, unique=True)
    email_password			= models.CharField(max_length=150, blank=True)
    first_name 				= models.CharField(max_length=150, blank=True)
    last_name 				= models.CharField(max_length=150, blank=True)
    date_joined				= models.DateTimeField(verbose_name='date joined', auto_now_add=True)
    last_login				= models.DateTimeField(verbose_name='last login', auto_now=True)
    is_admin				= models.BooleanField(default=False)
    is_active				= models.BooleanField(default=True)
    is_staff				= models.BooleanField(default=False)
    
    USERNAME_FIELD = 'email'
    REQUIRED_FIELDS = ['username','email_password']
    
    objects = MyAccountManager()

    def __str__(self): 
        return self.email

    # For checking permissions. to keep it simple all admin have ALL permissons
    def has_perm(self, perm, obj=None): 
        return self.is_admin

	# Does this user have permission to view this app? (ALWAYS YES FOR SIMPLICITY)
    def has_module_perms(self, app_label):
        return True

#class MyModel(models.Model):
#    email = DisposableEmailField()

src/django_project/users/forms.py
from django.contrib.auth.forms import UserCreationForm
from django import forms
from django.contrib.auth.models import User
from django.db.models.functions import Concat
from django.forms import ModelForm, DateInput
from users.models import event, User

class UserSignUpForm(UserCreationForm):
    # doing this makes the email field a mandatory field for the user to input data
    email = forms.EmailField()
    email_password = forms.CharField(widget=forms.PasswordInput())

    class Meta:
        # this form is to interact with the model/database table below
        # i.e if the form is saved, save the data to the User table
        model = User
        # the form should display the following fields
        fields = ['first_name', 'last_name', 'username', 'email','email_password', 'password1', 'password2']
        

class EmailMessageForm(forms.Form):
    
    # the email recipients
    to_email = forms.EmailField()
    cc = forms.EmailField()
    bcc = forms.EmailField()
    # the email subject
    subject = forms.CharField(max_length=100)

    # the email message textarea
    message = forms.CharField(max_length=2000,widget=forms.Textarea)
    #the email attachment(s)
    attachment = forms.FileField(widget=forms.ClearableFileInput(attrs={'multiple':True}))

    def __init__(self, *args, **kwargs):
        super(EmailMessageForm, self).__init__(*args, **kwargs) # Call to ModelForm constructor
        self.fields['subject'].widget.attrs['style'] = 'width:100%;'
        self.fields['message'].widget.attrs['cols'] = 150
        self.fields['attachment'].widget.attrs['id'] = 'attachment-id'
        
        self.fields['cc'].required = False
        self.fields['bcc'].required = False
        self.fields['attachment'].required = False
        
        self.fields['to_email'].label=u''
        self.fields['cc'].label=u''
        self.fields['bcc'].label=u''
        self.fields['subject'].label=u''
        self.fields['message'].label=u''
        self.fields['attachment'].label=u''

class EventForm(ModelForm):
  class Meta:
    model = event
    # datetime-local is a HTML5 input type, format to make date time show on fields
    widgets = {
      'start_time': DateInput(attrs={'type': 'datetime-local'}, format='%Y-%m-%dT%H:%M'),
      'end_time': DateInput(attrs={'type': 'datetime-local'}, format='%Y-%m-%dT%H:%M'),
    }
    fields = '__all__'

  def __init__(self, *args, **kwargs):
    super(EventForm, self).__init__(*args, **kwargs)
    # input_formats to parse HTML5 datetime-local input to datetime field
    self.fields['start_time'].input_formats = ('%Y-%m-%dT%H:%M',)
    self.fields['end_time'].input_formats = ('%Y-%m-%dT%H:%M',)
    self.fields['description'].widget.attrs['style'] = 'resize: none;'

src/django_project/users/views.py
from calendar import calendar
from django.core import mail
from django.db.models.functions.text import Reverse
from django.http.response import HttpResponse, HttpResponseRedirect
from django.shortcuts import get_object_or_404, render, redirect
from django.views.generic import CreateView

from django.contrib import messages

from users.forms import UserSignUpForm, EmailMessageForm
from users.models import User
from django.contrib.auth.decorators import login_required
from django.core.mail import EmailMessage, send_mail
from my_django_project import settings

import json
import os
from datetime import date, datetime, timedelta
from django.http import HttpResponse, HttpResponseRedirect
from django.views import generic
from django.utils.safestring import mark_safe
from django.urls import reverse

import calendar

from .models import *
from .utils import Calendar
from .forms import EventForm

#from django_email_blacklist import DisposableEmailChecker

with open('config.json') as conf_file:
    config = json.load(conf_file)

# Create your views here.
@login_required
def index(request):
    return render(request, 'users/index.html')
        

def signup(request):
    # do the following when a user, submits the form which sends/returns a POST request to the same view
    # and sends/returns with it the POST data submited in the form
    if request.method == 'POST':
        # instantiate a new form with the POST data submitted
        form = UserSignUpForm(request.POST)
        # check if the submitted form data is valid
        if form.is_valid():
            # call the form save method to save the data into the DB
            form.save()
            # the messages python module simply sends a message back to the HTML template 
            # rendering this view, for you to display to the user
            messages.success(request, f'Your account has been created')
            return redirect('login')
    # pass the blank sign up form when a user navigates to this page through a GET request
    else:
        form = UserSignUpForm()
    return render(request, 'users/signup.html', {'form': form})

# we will use the django built in method/decorator called @login_required
# to force a user to log in first before accessing this view/webpage
@login_required
def send_email(request):

    # do the following when a user, submits the form which sends/returns a POST request to the same view
    # and sends/returns with it the POST data submited in the form
    if request.method == 'POST':
        # instantiate a new form with the POST data submitted
        form = EmailMessageForm(request.POST or None, request.FILES or None)
        # check if the submitted form data is valid
        if form.is_valid():
            # get the submitted subject
            subject = form.cleaned_data['subject']

            # get the submitted message
            message = form.cleaned_data['message']

            # get the sender
            from_email = request.user.email

            # used to get data from forms.py
            to_email = form.cleaned_data
            cc = form.cleaned_data
            bcc = form.cleaned_data
            
            # gets a list of files
            files = request.FILES.getlist('attachment')
         
            if from_email and to_email:
                try:
                    mailmsg = EmailMessage(
                    subject=subject,
                    body=message,
                    from_email=request.user.email,
                    reply_to=[request.user.email],
                    to=[to_email['to_email']],
                    bcc=[bcc['bcc']],
                    cc=[cc['cc']])

                    is_attachment_empty = bool(files)
                    #for loop for cycling through multiple attachments
                    if is_attachment_empty == True:
                        for f in files:
                            mailmsg.attach(f.name, f.read(), f.content_type)
                    
                    #make so the email content type is html
                    mailmsg.content_subtype = 'html'
                    mailmsg.send()
                    messages.success(request, f'An email has been sent')
                # except Exception as ex:
                except ArithmeticError as aex:
                    print(aex.args)
                    return HttpResponse('Invalid header found')
                return redirect('index')
            else:
                return HttpResponse('Make sure all fields are entered and valid.')
            # pass the blank email message form when a user navigates to the email page through a GET request
    else:
        form = EmailMessageForm()

        context = {
            'form': form,
        }
    return render(request, 'users/send_email.html', context)

class CalendarView(generic.ListView):
    model = event
    template_name = 'users/cal.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)

        # use today's date for the calendar
        d = get_date(self.request.GET.get('month', None))

        # Instantiate our calendar class with today's year and date
        cal = Calendar(d.year, d.month)

        # Call the formatmonth method, which returns our calendar as a table
        html_cal = cal.formatmonth(withyear=True)
        context['calendar'] = mark_safe(html_cal)
        context['prev_month'] = prev_month(d)
        context['next_month'] = next_month(d)
        return context

def get_date(req_day):
    if req_day:
        year, month = (int(x) for x in req_day.split('-'))
        return date(year, month, day=1)
    return datetime.today()

def prev_month(d):
    first = d.replace(day=1)
    prev_month = first - timedelta(days=1)
    month = 'month=' + str(prev_month.year) + '-' + str(prev_month.month)
    return month

def next_month(d):
    days_in_month = calendar.monthrange(d.year, d.month)[1]
    last = d.replace(day=days_in_month)
    next_month = last + timedelta(days=1)
    month = 'month=' + str(next_month.year) + '-' + str(next_month.month)
    return month

def Event(request, event_id=None):
    instance = event()
    if event_id:
        instance = get_object_or_404(event, pk=event_id)
    else:
        instance = event()
    
    form = EventForm(request.POST or None, instance=instance)
    if request.POST and form.is_valid():
        form.save()
        return HttpResponseRedirect(reverse('calendar'))
    return render(request, 'users/event.html', {'form': form})

#email_checker = DisposableEmailChecker()
#email_checker.is_disposable("foo@guerrillamail.com")

src/django_project/users/templates/users/cal.html
{% extends 'users/base.html' %} {% block title %} {{ calendar }} {% endblock %}
{% block content %}
<div class="clearfix">
  <button
    class="custom-button-prev-month"
    style="
      border: none;
      position: relative;
      width: 172px;
      height: 44px;
      left: 176px;
      top: 66px;
      z-index: 3;

      background: #e5e5e5;
      border-radius: 91px;
      cursor: pointer;

      text-align: center;
    "
  >
    <a href="{% url 'calendar' %}?{{ prev_month }}">
      Previous Month
    </a>
  </button>

  <button
    class="custom-button-new-event"
    style="
      border: none;
      position: relative;
      width: 131px;
      height: 44px;
      left: 1104px;
      top: 66px;
      z-index: 3;

      background: #feda14;
      border-radius: 91px;
      cursor: pointer;

      text-align: center;
    "
  >
    <a href="{% url 'new_event' %}">
      New Event
    </a>
  </button>

  <button
    class="custom-button-next-month"
    style="
      border: none;
      position: relative;
      width: 172px;
      height: 44px;
      left: 1114px;
      top: 66px;
      z-index: 3;

      background: #e5e5e5;
      border-radius: 91px;
      cursor: pointer;

      text-align: center;
    "
  >
    <a href="{% url 'calendar' %}?{{ next_month }}">
      Next Month
    </a>
  </button>
</div>
<div class="custom-calendar">{{ calendar }}</div>


<style>
  body {
    background-color: white;
  }
  .calendar {
    width: 80%;
    margin: auto;
    font-size: 13px;
  }

  .custom-navbar-calendar-field{
    background: #feda14 !important;
  }

  .custom-button-prev-month a,
  .custom-button-new-event a {
    display: inline-block;     
    position: relative;    
    z-index: 1;     
    padding: 10px 20px;     
    margin: -2em; 
    text-align: center;
    align-items: center;
    outline: none;
    font-family: Montserrat-SemiBold;
    font-size: 16px;
  }

  .custom-button-next-month a {
    display: inline-block;     
    position: relative;    
    z-index: 1;     
    padding: 10px 36px;     
    margin: -2em; 
    text-align: center;
    align-items: center;
    outline: none;
    font-family: Montserrat-SemiBold;
    font-size: 16px;
  }

  .calendar tr,
  .calendar td {
    border: 1px solid #b8b8b8;
    z-index: 2;
  }

  .calendar th {
    font-size: 24px;
    padding: 8px;
    text-align: center;
    font-family: Montserrat-SemiBold;
    border: 1px solid #b8b8b8;
  }

  .calendar td {
    width: 200px;
    height: 122px;
    padding: 20px 0px 0px 5px;
  }

  .month {
    font-size: 36px !important;
    border-width: 1px 1px 0px 1px !important;
    border-style: solid !important;
    border-color: #fff !important;
    position: relative !important;
    top: -20px !important;
    text-align: center;
    font-family: Montserrat-SemiBold;
  }

  .date {
    position: relative;
    top: -2px;
    font-size: 18px;
    font-family: Montserrat-SemiBold;
    text-align: center;
    display: inline-block;
  }

  .calendar-dots {
    position: relative;
    top: 3px;
    left: -1px;
    height: 25px;
    width: 25px;
    background-color: #e5e5e5;
    border-radius: 50%;
    text-align: center;
    display: inline-block;
  }

  .custom-calendar ul {
    height: 100%;
    padding: 10px 5px 0px 20px;
    font-size: 14px;
    font-family: Montserrat;
  }

  a {
    color: #17a2b8;
  }
  .left {
    float: left;
  }

  .right {
    float: right;
  }

  .clearfix {
    margin: 5px;
    margin-top: -40px;
  }

  @font-face {
    font-family: Montserrat;
    src: url(../../static/users/assets/fonts/Montserrat/Montserrat-Regular.ttf);
  }

  @font-face {
    font-family: Montserrat-SemiBold;
    src: url(../../static/users/assets/fonts/Montserrat/Montserrat-SemiBold.ttf);
  }
</style>

{% endblock %}

src/django_project/users/templates/users/event.html
{% extends 'users/base.html' %} {% block title %} Event {% endblock title%}
{%block content %}

<form method="post">
  {% csrf_token %}
  <div class="custom-event-position" style="position: relative; margin: auto;
  width: 769px;
  top: -60px;
  padding: 10px;">
  <table class="custom-table-event">
    <div class="custom-description-label-position" style="position: relative; top: 247px;">
      <label class="custom-description-label-text" for="id_description">Description:</label>
    </div>
    <div class="custom-description-label-hide" style="position: relative; top: 279px; width: 144px; height: 49px; background: #fff;"></div>
    {{ form }}
    <div class="button-wrapper-position" style="position: relative; top: 424px; left: -460px;">
        <button type="submit" class="custom-button-create-event" style="
        border: none;
        position: relative;
        width: 131px;
        height: 44px;
        left: 1104px;
        top: 150px;
        z-index: 3;
  
        background: #feda14;
        border-radius: 91px;
        cursor: pointer;
  
        text-align: center;
      "
    >Create Event</button> </div>
  </table>
</div>
</form>

<footer class="footer mt-5 py-3 bg-fff" style="z-index: 5; position: fixed; top: 880px; left: 915px">
  <div class="container text-center">
    <span class="text-muted">
      Powered by Banana mail inc
    </span>
  </div>
</footer>

<style>
  body {
    background-color: white;
  }

  .form {
    margin: 0px;
  }

  .form input,
  .form select,
  .form textarea {
  
  }
  .custom-event-position label {
    width: 142px;
    height: 47px;
    text-align: center;
    background: #F8F8F8;
    border-radius: 28.5px;
    margin-right: 21px;   
    font-family: Montserrat;
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    line-height: 47px;
    margin-bottom: 28px;
  }
  #id_title,
  #id_start_time,
  #id_end_time {
    height: 50px;
    width: 606px;
    background: #FFFFFF;
    border: 1px solid #B8B8B8;
    font-family: Montserrat;
    font-size: 18px;
    margin-bottom: 28px;  
  }
  #id_description{
    width: 606px;
    height: 254px;
    background: #FFFFFF;
    border: 1px solid #B8B8B8;  
    margin-bottom: 28px;
  }

  @font-face {
    font-family: Montserrat;
    src: url(../../static/users/assets/fonts/Montserrat/Montserrat-Regular.ttf);
  }

  @font-face {
    font-family: Montserrat-SemiBold;
    src: url(../../static/users/assets/fonts/Montserrat/Montserrat-SemiBold.ttf);
  }
</style>
{% endblock content%}

src/django_project/users/templates/users/favorite.html
{% extends 'users/base.html' %} {% block content %}

<div class="backgroundcolorwhite" style="
    background-color: white;
    right: 0px;
    top: 0px;
    position: relative;
    height: auto;
    width: 1820px;
  ">
  <div class="custom-position-favorite" style="position: relative; left: 55px; width: 1830px">
    <div class="custom-title-and-background-favorite" style="display: block; margin-bottom: 34px">
      <div class="custom-background-title-favorite" style="
          position: relative;
          background-color: #f8f8f8;
          width: 1771px;
          height: 110px;
          left: -46px;
          padding-bottom: 62px;
          border-radius: 55px;
          z-index: 0;
        ">
        <div class="custom-title-favorite" style="
            text-align: left;
            font-style: normal;
            font-weight: 600;
            font-size: 36px;
            font-family: Montserrat-Regular;
            color: black;
            position: relative;
            left: 46px;
          ">
          This is the favorite page
        </div>
      </div>
    </div>

    <div class="custom-p-padding-bottom-favorite" style="display: block; margin-bottom: 53px">
      <p class="custom-p-favorite">
        Our internal deadline for finishing the product (stop coding) and beginning the report was the 15th december.
      </p>
      <p class="custom-p-favorite"> 
        At this date I had not received an inbox functionality which is why I sadly have no front-end for it.
      </p>
      <p class="custom-p-favorite">
        It was clear within the group and agreed upon well in advance but some of our members did not finish on time.
      </p>
      <p class="custom-p-favorite">
        As i'm writing this it's the 20th and our members who were late have have made it work with their own front-end. 
      </p>
      <p class="custom-p-favorite"> 
        Due to these circumstances I have not had the chance to implement my ideas towards the inbox and the sent/favorite/drafts and blacklist functionalites.
      </p>
    <p class="custom-p-favorite"> 
      This is just to give you some context on why I have not implemented front-end for this part. 
    </p>
    <p class="custom-p-favorite" style="position: relative; top: 120px;">
      - Karsten (Front-end)
    </p>
    </div>

    <hr class="custom-line-favorite" style="position: relative; top: 120px;">

    <footer class="footer mt-5 py-3 bg-fff" style="z-index: 5; position: fixed; top: 880px; left: 915px">
      <div class="container text-center">
        <span class="text-muted">
          Powered by Banana mail inc
        </span>
      </div>
    </footer>
  
</div>

<style>
  @media (min-width: 768px) {
    .navbar {}
  }

  @media (min-width: 896px) {
    .custom-title-favorite {
      line-height: 110px;
    }
  }

  .custom-starred-small-img,
  .custom-starred-big-img {
    filter: brightness(0) saturate(100%) !important;
  }
  .sidebar-big-text-starred {
    color: black;
    font-family: Montserrat-SemiBold;
  }

  .custom-p-favorite {
    position: relative;
    width: 1676px;

    font-family: Montserrat-Regular;
    font-style: normal;
    font-weight: 500;
    font-size: 17px;

    color: #949494;
  }

  hr.custom-line-favorite {
    border: 1px solid #A37302;
    width: 1676px;
    display: block;
    margin-bottom: 57px
  }

  .custom-list-title-favorite {
    font-family: Montserrat-Regular;
    font-style: normal;
    font-weight: 600;
    font-size: 24px;
    display: block;
    margin-bottom: 20px
  }

  .custom-list-text-favorite {
    font-family: Montserrat-Regular;
    font-style: normal;
    font-weight: 300;
    font-size: 18px;
  }

  input {
    margin: 10px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 80%;
    height: 45px;
    border-radius: 30px;
    padding-left: 20px;
    font-family: AvenirBook;
    font-size: 24px;
  }

  .custom-button {
    display: block;
    width: 100%;
    border: none;
    background-color: #feda14;
    padding: 5px 28px;
    font-family: LogoFont;
    font-size: 24px;
    cursor: pointer;
    text-align: center;
  }

  .custom-button:hover {
    color: #fff;
  }

  body {
    background-color: white;
  }

  @font-face {
    font-family: LogoFont;
    src: url(../../static/users/assets/fonts/CoHeadlineW08Regular.ttf);
  }

  @font-face {
    font-family: LogoFontBold;
    src: url(../../static/users/assets/fonts/CoText_Trial_Bd.ttf);
  }

  @font-face {
    font-family: Montserrat-Regular;
    src: url(../../static/users/assets/fonts/Montserrat/Montserrat-Regular.ttf);
  }

  @font-face {
    font-family: Montserrat-Light;
    src: url(../../static/users/assets/fonts/Montserrat/Montserrat-Light.ttf);
  }

  @font-face {
    font-family: Montserrat-Black;
    src: url(../../static/users/assets/fonts/Montserrat/Montserrat-Black.ttf);
  }
</style>

{% endblock content%}
</div>

src/django_project/users/templates/users/login.html
{% extends 'users/base.html' %} {% load crispy_forms_tags %} {% block content %}

<div class="backgroundcolorwhite" style="
    z-index: 1;
    background-color: white;
    right: 0%;
    top: 0;
    position: fixed;
    height: 100%;
    width: 35%;
  ">
    <div>
        <img src="../../static/users/assets/icons/login/together.png" class="custom" style="
        height: 110%;
        width: 65%;
        position: fixed;
        z-index: 1;
        top: -10%;
        overflow-x: hidden;
        overflow-y: hidden;
        padding-top: 20px;
        left: 0;
      " alt="Responsive image" />
    </div>

    <div class="logincss" style="
      height: 100%;
      width: 20%;
      position: fixed;
      z-index: 1;
      top: 20%;
      padding-right: 1%;
      right: 7%;
    ">
        <form method="post">
            {% csrf_token %}

            <fieldset class="form-group" style="
          font-family: AvenirBook;
          font-style: normal;
          font-weight: 500;
          font-size: 18px;
        ">
                <legend class="mb-4" style="
            text-align: left;
            font-size: 48px;
            font-family: LogoFontBold;
            color: black;
            background-color: white;
          ">
                    Log In
                </legend>
                <div class="custom-form-div" style="
            padding-top: 20px;
            position: relative;
            margin: 30px;
            display: block;
            margin-left: auto;
            margin-right: auto;
            border-radius: 30px;
            display: flex;
            max-height: 370px;
            justify-content: space-between;
            flex-direction: column;
          ">
                    {{ form|crispy }}

            </fieldset>
            <div class="form-group mt-2">
                <button class="custom-button" type="submit">Log In</button>
                <small class="text-muted ml-2" style="
                font-family: AvenirBook;
                font-style: normal;
                font-weight: 500;
                font-size: 18px;
                top: 28px;
                position: relative;
              ">
                    <a href="{% url 'password_reset' %}">Forgot Password?</a>
                </small>
            </div>
        </form>
        <div class="pt-3">
            <small class="text-muted" style="
              font-family: AvenirBook;
              font-style: normal;
              font-weight: 500;
              font-size: 18px;
              top: 28px;
              position: relative;
            ">
                Don't have an account yet?
                <a href="{% url 'signup' %}" class="ml-2">Sign Up</a>
            </small>
        </div>
    </div>
</div>
</div>

<style>
    .the-custom-navbar {
    display: none;
    }

    input {
        margin: 10px;
        display: block;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 34px;
        height: 45px;
        font-family: AvenirBook;
        font-size: 24px;
    }

    .custom-button {
        display: block;
        width: 100%;
        border: none;
        background-color: #feda14;
        padding: 5px 28px;
        font-family: LogoFont;
        font-size: 24px;
        cursor: pointer;
        text-align: center;
        position: relative;
        top: -20px;
    }

    .custom-button:hover {
        color: #fff;
    }

    body {
        background-color: white;
    }

    @font-face {
        font-family: LogoFont;
        src: url(../../static/users/assets/fonts/CoHeadlineW08Regular.ttf);
    }

    @font-face {
        font-family: LogoFontBold;
        src: url(../../static/users/assets/fonts/CoText_Trial_Bd.ttf);
    }

    @font-face {
        font-family: AvenirBook;
        src: url(../../static/users/assets/fonts/Montserrat/Montserrat-Regular.ttf);
    }

    @font-face {
        font-family: AvenirLight;
        src: url(../../static/users/assets/fonts/Montserrat/Montserrat-Light.ttf);
    }

    @font-face {
        font-family: AvenirRoman;
        src: url(../../static/users/assets/fonts/Montserrat/Montserrat-Black.ttf);
    }
</style>

{% endblock content%}

src/django_project/users/templates/users/logout.html
{% extends 'users/base.html' %}
{% load crispy_forms_tags %}

{% block content %}
    <h2>You have been logged out</h2>
    <div class="content-section">
        <div class="border-top pt-3">
            <small class="text-muted">
                <a href="{% url 'login' %}" class="ml-2">Log In Again</a>
            </small>
        </div>
    </div>
{% endblock content%}